List devices by organization
Returns a list of cloud and AXIUM devices for a single organization. Use filters to limit results. Include the exportFormat query parameter to return the results as a file instead of a JSON response.
Authentication
Bearer authentication of the form Bearer <token>, where token is your auth token.
Long-lived API token sent in the requestToken header. See API token authentication.
Path parameters
Query parameters
Max number of records to return for the query. Use 0 or negative value to return all records.
Collection of field names, conditions, and values used to filter the query.
You must remove parameters= from the request before you send it, otherwise Payabli will ignore the filters.
Because of a technical limitation, you can’t make a request that includes filters from the API console on this page. The response won’t be filtered. Instead, copy the request, remove parameters= and run the request in a different client, for example:
—url https://api-sandbox.payabli.com/api/Query/devices/org/900123?parameters=status=1&limitRecord=20
should become:
—url https://api-sandbox.payabli.com/api/Query/devices/org/900123?status=1&limitRecord=20
See Filters and Conditions Reference for more information.
Accepted field names:
-
deviceId(eq, ne, ct, nct) -
serialNumber(eq, ne, ct, nct) -
friendlyName(eq, ne, ct, nct) -
description(eq, ne, ct, nct) -
model(eq, ne, ct, nct) -
make(eq, ne, ct, nct) -
macAddress(eq, ne, ct, nct) -
registrationCode(eq, ne, ct, nct) -
status(eq, ne, in, nin) -
deviceType(eq, ne, in, nin) -
deviceOs(eq, ne, in, nin) -
activationAttempts(eq, ne, gt, ge, lt, le) -
createdDate(gt, ge, lt, le, eq, ne) -
updatedDate(gt, ge, lt, le, eq, ne) -
lastHealthCheck(gt, ge, lt, le, eq, ne) -
activationExpiry(gt, ge, lt, le, eq, ne). This filter corresponds to theactivationCodeExpiryresponse field. -
paypointId(eq, ne) -
paypointDba(eq, ne, ct, nct) -
paypointLegal(eq, ne, ct, nct) -
paypointEntry(eq, ne, ct, nct) -
externalPaypointId(eq, ne, ct, nct) -
parentOrgId(eq, ne) -
parentOrgName(eq, ne, ct, nct) -
paypointLogo(eq, ne, ct, nct) -
parentOrgLogo(eq, ne, ct, nct) -
transactionCount(eq, ne, gt, ge, lt, le) -
volumeProcessed(eq, ne, gt, ge, lt, le)
Accepted comparison operators:
-
eqor empty => equal -
gt=> greater than -
ge=> greater or equal -
lt=> less than -
le=> less or equal -
ne=> not equal -
ct=> contains -
nct=> not contains -
in=> inside array -
nin=> not inside array
The field name to use for sorting results. Use desc(field_name) to sort descending by field_name, and use asc(field_name) to sort ascending by field_name.